@import url('https://fonts.googleapis.com/css2?family=Sora:wght@100..800&display=swap');

*{
    margin: 0;
    padding: 0;
    font-family: Sora;
    color: black;
    text-decoration: none;

}
.welcome{
    width: 100%;
    height: 100vh;
    background-color: black;
    display: flex;
    justify-content: center;
    align-items: center;
}
.welcome > h1{
    color: white;
    font-size: 2.8rem;
    display: inline-block;
}
.bo{
    display: none;
}
.icon-div{
    width: 100px;
    display: flex;
    padding-right: 0.6rem;
    justify-content: end;
    align-items: center;
    background-color: #000;
    border-radius: 40px;
    height: 35px;

}

.navbar{
    background-color: white !important;
    color: black !important;
    justify-content: space-between !important;
    padding-left: 2rem !important;
    padding-right: 2rem !important;
    font-weight: bolder;

}
.k{
    display: none;
}
.menu-bar{
    width: 600px;
    height: 400px;
    background-color:black;
    position: absolute;
    right:20px;
    top:12px;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center ;
    z-index: 99;
   
    
}
.menu-bar h2:hover{
    color: white;
}
.menu-container{
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: space-between;
    margin-left: 3rem;
    margin-right: 3rem;

}
.menu-bar a{
    text-decoration: none;
}
.menu-bar h2{
    font-weight: bold;
    font-size: 3rem;
    color: grey;
}
.menu-bar p{
    margin-left: 3rem;
    margin-right: 3rem;
    width: fit-content;
    color: gray;
}
.ed{
    font-size: 40px;
}
.menu-bottom{
    position: absolute;
    width: 100%;
    display: flex;
    justify-content: space-between;
    line-height: 10px;
    bottom: 0;
    
    
}

#x{
    position: absolute;
    right: 23px;
    top: 10px;
    background-color: white;
}
.btnn{
    width: 300px;
    border: none;
    outline: none;
    background-color: black;
    color: white;
    border-radius: 5px;
    height: 60px;
}
.navbar-toggler{
    border: none !important;
}

.lead{
    font-size: 1rem !important;
}

.resume-btn{
    padding-left: .5rem !important;
    padding-right: .5rem !important;
    padding: .4rem;
    border: none;
    background: black;
    color: white;
    border-radius: 5px;
}

.resume-btn i{
    color: white !important;
}

.hero-1{
    font-weight: 600 !important;
}

.btn{
    border: 1px solid black !important;
}


.btn-black i{
    color: white;
}

.btn:hover{
    background-color: black !important;
}

.btn:hover i{
    color: white !important;
}

.single{
    font-weight: 300;
}
.text-border{
    color: white;
    text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;
    /* -webkit-text-stroke-width: 2px; */
    /* -webkit-text-stroke-color: black; */
    /* font-family: Arial, Helvetica, sans-serif; */
}

.cont-1{
    overflow: hidden;
}

.card{
    width: 15rem;
    border: 2px solid black !important;
    cursor: pointer;
}

.card:hover {
    background-color: black;
    color: white !important;
}


.card:hover i{
    color: white !important;
}

.card:hover .card-body{
    color: white !important;
}

.card-body{
    color: black !important;
}


.card-body i{
    font-size: 65px;
}

.about{
    background-color: black;
    color: white !important;
}

.about h2 span{
    color: white !important;
}

.about p{
    color: white !important;
}

.Project img{
    border-radius: 20px;
    box-shadow: 0px 8px 18px -6px rgba(24, 39, 75, 0.12), 0px 12px 42px -4px rgba(24, 39, 75, 0.12);
}

.Project hr{
    height: 2px;
    color: black;
}

.flex{
    display: flex;
    gap: 20px;
}

.flex img{
    margin-left: 20px;
    border-radius: 25px;
}

.flex a{
    text-decoration: none;
}

.testimonial-section h2,.testimonial-section p, .testimonial-section h5{
    color: white !important;
}

.testimonial-section {
    background-color: #000;
}

.bg-w{
    background-color: white !important;
}

.bg-w h2,.bg-w p, .bg-w h5{
    color: black !important;
}

.testimonial-item {
    background-color: #111;
    padding: 30px;
    border-radius: 10px;
    box-shadow: 0px 6px 8px -6px rgba(255, 255, 255, 0.12), 0px 8px 16px -6px rgba(255, 255, 255, 0.08);
}

.testimonial-item img {
    width: 160px;
    height: 100px;
}

h2 {
    font-size: 2.5rem;
}

p {
    font-size: 1rem;
}

.form-control,textarea{
    border: 1px solid black !important;
}

form .get-touch{
    background-color: black !important;
    color: white !important;
}

.contact h3 a{
    color: black !important;
    text-decoration: none;
}

.footer{
    background-color: black !important;
}

.footer span{
    color: white !important;
}

@media (max-width: 768px) {
    .testimonial-item {
        margin-bottom: 30px;
    }
}

@media (max-width: 576px) {
    h2 {
        font-size: 2rem;
    }

    p {
        font-size: 0.9rem;
    }
}


/*  */

    @media (max-width: 1000px) {
        #skills2, #skills3, #ab, #ch, #chh {
            transform: none !important;
            opacity: 1 !important;
            visibility: visible !important;
        }
        .bg{
            margin: 4px !important;
          }
    }

@media only screen and (max-width: 800px) {
  
    .menu-bar{
        width: 80%;
        right: 5px;
        
    }
    .menu-container{
        
        margin-left: 1.5rem;
       
    
    }
    .menu-bar h2{
        font-weight: bold;
        font-size: 2rem;
        color: grey;
    }
    .menu-bottom{
        
       
        justify-content: start;
        flex-direction: column;
      
        
        
    }
    .menu-bar p{
        margin-left: 1.5rem;
        
    }

    .gap-3{
        display: flex;
        gap: 1.5rem !important;
    }
    .navbar{
        padding-left: .3rem !important;
        padding-right: .3rem !important;
    }

    .skill-row{
        gap: 2rem;
        margin-left: 2.3rem !important;
    }
    .gdg{
        display: block !important;
        align-items: center;
        justify-content: center;

    }

  }

  .offer{
    background-color: #000000;
    color: white !important;
    /* width: 100; */
    height: 100%;
    padding: 10px;
    display: flex;
  }

  .gdg{
    color: white !important;
    /* display: flex; */
  }

  .gdg p{
    color: white !important;
  }


  .gdg img{
    height: 90px;
  }